0

This question already has an answer here:

I had previously ubuntu 14.04 LTS installed and I have so many projects on laravel 5.0. After the release of Ubuntu 16.04 I installed it on my machine and I am facing a lot of difficulties to get laravel 5.0 working in it. I installed Xampp 7.0.5 / PHP 7.0.5. There were errors about mbstring and mcrypt I got rid of those errors by installing them from terminal. Now when I try to run php artisan serve it throws [PDOException] Driver not found error. In my phpinfo I can see PDOdrivers for mysql, pgsql, sqlite are enabled.

The requirement of laravel.5.0 says PHP >= 5.4, PHP < 7, so I also tried installing Xampp 5.6.20 / PHP 5.6.20 and downgrading the php version of 16.04 to php5.

Is there any way I can get my laravel 5.0 projects working on Ubuntu 16.04? I am wondering if laravel 5.0 has worked in 16.04 for other people. Thank you in advance.

marked as duplicate by user117103, Eric Carvalho, Videonauth, David Foerster, RPiAwesomeness May 19 '16 at 13:09

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • Why don't you try using docker or vagrant, that way you won't have these problems after update – Alen May 4 '16 at 12:19
  • @Alen Ty Alen for response, But now I have installed ubuntu 15.10 and laravel 5.0 is working fine. – wupendra May 5 '16 at 9:54
0

I confirm that L5 works fine with PHP7 on Ubuntu 16. Actually, i'm using it right now. Installation from composer.

  • do you mean laravel 5.0 works in PHP7 without downgrade? – wupendra May 7 '16 at 5:44
  • Yes, that's what I'm mean it. I was using Ubuntu 15, but I upgrade it to Ubuntu 16 (from Ubuntu notice about upgrade), so if I had php5 in Ubuntu 15, now I have php7 and my laravel project still working. – Kamil May 7 '16 at 16:57
  • I installed ubuntu 16.04 and couldn't get it working after trying for some days. I even downgraded php 7 to php 5 thinking as if it was the problem. There were just endless of errors. I was running late on time to continue my projects so i just removed it and strarted fresh with 15.10 and its working fine. – wupendra May 8 '16 at 9:07

Not the answer you're looking for? Browse other questions tagged or ask your own question.